package ru.m.puzzlez.render;

import flash.display.Bitmap;
import flash.display.BitmapData;
import flash.display.Sprite;

class PartView extends Sprite {

    public var id(default, null):Int;

    private var bitmap:Bitmap;

    public function new(id:Int, image:BitmapData) {
        super();
        this.id = id;
        bitmap = new Bitmap();
        bitmap.bitmapData = image;
        addChild(bitmap);
    }
}
